## org.apache.http.nio
Interface NHttpClientHandler

All Known Implementing Classes:
  AsyncNHttpClientHandler, BufferingHttpClientHandler, ThrottlingHttpClientHandler

Deprecated. (4.2) use `NHttpClientEventHandler`

    @Deprecated
    public interface NHttpClientHandler

Abstract client-side HTTP protocol handler.

Since:
  4.0

Method Summary
`void` `closed(NHttpClientConnection conn)` Deprecated. Triggered when the connection is closed.
`void` `connected(NHttpClientConnection conn, Object attachment)` Deprecated. Triggered when a new outgoing connection is created.
`void` `exception(NHttpClientConnection conn, HttpException ex)` Deprecated. Triggered when an HTTP protocol violation occurs while receiving an HTTP response.
`void` `exception(NHttpClientConnection conn, IOException ex)` Deprecated. Triggered when an I/O error occurs while reading from or writing to the underlying channel.
`void` `inputReady(NHttpClientConnection conn, ContentDecoder decoder)` Deprecated. Triggered when the underlying channel is ready for reading a new portion of the response entity through the corresponding content decoder.
`void` `outputReady(NHttpClientConnection conn, ContentEncoder encoder)` Deprecated. Triggered when the underlying channel is ready for writing a next portion of the request entity through the corresponding content encoder.
`void` `requestReady(NHttpClientConnection conn)` Deprecated. Triggered when the connection is ready to accept a new HTTP request.
`void` `responseReceived(NHttpClientConnection conn)` Deprecated. Triggered when an HTTP response is received.
`void` `timeout(NHttpClientConnection conn)` Deprecated. Triggered when no input is detected on this connection over the maximum period of inactivity.

Method Detail

### connected

    void connected(NHttpClientConnection conn,
                   Object attachment)

  Deprecated.
  Triggered when a new outgoing connection is created.

  Parameters:
    `conn` - new outgoing HTTP connection.
    `attachment` - an object that was attached to the session request

### requestReady

    void requestReady(NHttpClientConnection conn)

  Deprecated.
  Triggered when the connection is ready to accept a new HTTP request. The protocol handler does not have to submit a request if it is not ready.

  Parameters:
    `conn` - HTTP connection that is ready to accept a new HTTP request.
  See Also:
    `NHttpClientConnection`

### responseReceived

    void responseReceived(NHttpClientConnection conn)

  Deprecated.
  Triggered when an HTTP response is received. The connection passed as a parameter to this method is guaranteed to return a valid HTTP response object.

  If the response received encloses a response entity this method will be followed by a series of `inputReady(NHttpClientConnection, ContentDecoder)` calls to transfer the response content.

  Parameters:
    `conn` - HTTP connection that contains an HTTP response
  See Also:
    `NHttpClientConnection`

### inputReady

    void inputReady(NHttpClientConnection conn,
                    ContentDecoder decoder)

  Deprecated.
  Triggered when the underlying channel is ready for reading a new portion of the response entity through the corresponding content decoder.

  If the content consumer is unable to process the incoming content, input event notifications can be temporarily suspended using `IOControl` interface.

  Parameters:
    `conn` - HTTP connection that can produce a new portion of the incoming response content.
    `decoder` - The content decoder to use to read content.
  See Also:
    `NHttpClientConnection`, `ContentDecoder`, `IOControl`

### outputReady

    void outputReady(NHttpClientConnection conn,
                     ContentEncoder encoder)

  Deprecated.
  Triggered when the underlying channel is ready for writing a next portion of the request entity through the corresponding content encoder.

  If the content producer is unable to generate the outgoing content, output event notifications can be temporarily suspended using `IOControl` interface.

  Parameters:
    `conn` - HTTP connection that can accommodate a new portion of the outgoing request content.
    `encoder` - The content encoder to use to write content.
  See Also:
    `NHttpClientConnection`, `ContentEncoder`, `IOControl`

### exception

    void exception(NHttpClientConnection conn,
                   IOException ex)

  Deprecated.
  Triggered when an I/O error occurs while reading from or writing to the underlying channel.

  Parameters:
    `conn` - HTTP connection that caused an I/O error
    `ex` - I/O exception

### exception

    void exception(NHttpClientConnection conn,
                   HttpException ex)

  Deprecated.
  Triggered when an HTTP protocol violation occurs while receiving an HTTP response.

  Parameters:
    `conn` - HTTP connection that caused an HTTP protocol violation
    `ex` - HTTP protocol violation exception

### timeout

    void timeout(NHttpClientConnection conn)

  Deprecated.
  Triggered when no input is detected on this connection over the maximum period of inactivity.

  Parameters:
    `conn` - HTTP connection that caused timeout condition.

### closed

    void closed(NHttpClientConnection conn)

  Deprecated.
  Triggered when the connection is closed.

  Parameters:
    `conn` - closed HTTP connection.

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.